ADSF(1)

NAME
adsf - a dead simple fileserver

SYNOPSIS
adsf [options]

DESCRIPTION
adsf (A Dead Simple Fileserver) is a tiny web server that can be spawned in any directory to serve static files. It can be used programmatically in Rack and other Ruby applications.

  Specific options:

-H, --handler [handler]
    Specify the handler to use

-h, --help
    Display help

-i [index-filenames],
    Specify index filenames (comma-separated)

--index-filenames

-p, --port [port]
    Specify the port number to use

-r, --root [root]
    Specify the web root to use

-l, --local-only
    Only listen to requests from localhost (short for "-a localhost")

-a, --listen-address [host]
    Specify the address to listen to